
Redmine - Defect #14578

After an update from 1.4.3 to 2.3.2 german umlauts in custom fields are broken

2013-07-30 17:24 - ITF-EDV Admin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

The update of all components went fine but all german umlauts only in the customs fields (we added some lists) were broken.

The umlauts in the GUI are ok.

If i add another custom field after the update the umlauts in this new field are fine. Even if i edit our lists the edited umlauts are ok.

But i don't want to edit a few hundred entries manually and brake database relationships eventually.

The database is (and was before the update) in utf8 format and the umlauts are correctly stored in the DB.

Environment:

Redmine version                2.3.2.stable

Ruby version                   2.0.0-p247 (2013-06-27) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

History

#1 - 2013-07-31 16:32 - ITF-EDV Admin

- File screenshot_with_1_4_3_all_umlaut_ok.png added

- File screenshot_with_2_3_2_umlauts_are_wrong.png added

I have added new better Screenshots of my problem.

#2 - 2013-08-01 22:28 - Jan Niggemann (redmine.org team member)

UPDATE the relevant table and replace the values (don't know which table it is):

UPDATE TABLE

SET COLUMN = REPLACE(COLUMN,"ÃŸ", "ß"),

COLUMN= REPLACE(COLUMN, "Ã¤", "ä")

and so on...

#3 - 2013-08-13 14:27 - ITF-EDV Admin

Like i wrote in the Ticket: the umlauts are correctly stored in the database (verified by a DB dump).

We still have no idea where the problem could be.

#4 - 2016-11-05 17:16 - ITF-EDV Admin

- Status changed from New to Resolved

We solve the problem in this way: we correct the german umlauts in the GUI. Afterwards it works fine

#5 - 2016-11-21 04:55 - Toshi MARUYAMA

- Status changed from Resolved to Closed
